Bug 210704 - 'kfmclient openProfile filemanagement' does nothing
'kfmclient openProfile filemanagement' does nothing
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-10-13 16:18 EDT by Lacrocivious Acrophosist
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-13 05:43:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
strace log of failed 'kfmclient openProfile filemanagement' launch attempt (40.77 KB, text/plain)
2006-10-13 16:18 EDT, Lacrocivious Acrophosist
no flags Details

  None (edit)
Description Lacrocivious Acrophosist 2006-10-13 16:18:59 EDT
Description of problem:

Launching default 'Home' icon or manually entering 'kfmclient openProfile
filemanagement' in terminal window, results in extremely brief HD activity (the
first time) but no other visible effect. No error displays. This problem has
existed since late September or very early October.

Konqueror can be launched manually via 'konqueror &' or similar, no problem.

File '/home/username/.kde/share/apps/konqueror/profiles/filemanagement' does
exist and appears the same as on other working FC4 and FC5 boxes here.

Both kdebase-3.5.4-12.fc6 and kdebase-devel-3.5.4-12.fc6 are installed,

This has happened before, I believe at least once every release cycle since FC1,
but in each case some (unidentified by me) update eventually fixed it without
action on my part. Note the affected system has been continuously on the rawhide
devel path since RH9-to-FC1 upgrade, through near-daily updates during each FC
development cycle, so this *could* be a 'cruft buildup' artifact for all I know,
though the system is otherwise stable.

Off topic, I have been continuously astonished at how robust Linux/FC has been
during even the worst development rough spots... *rarely* has the system been
even mildly inconvenienced with regard to using it for 'normal' work. The worst
was during FC6 when someone forgot to copy new passwd and group files after
.rpmsave renaming, resulting in 'No such user: root' ;-)

Version-Release number of selected component (if applicable):


How reproducible:

Completely, without exception.

Steps to Reproduce:
1. Boot FC6-test3 using KDE session.
2. Click 'Home' icon in panel or kicker menu, or enter 'kfmclient openProfile
filemanagement' from terminal window.
3. Wait for konqueror to open with file manager profile in home directory.

Actual results:

On initial attempt, extremely brief hard drive activity, followed by nothing.
Repeated attempts yield the same non-launch of konqueror.
From terminal window, command: 'kfmclient openProfile filemanagement' also
results in nothing.
Konqueror *can* be launched from terminal with command: 'konqueror &'

Expected results:

Konqueror should launch in filemanagement mode, displaying home directory.

Additional info:

strace -o kfmclient_fail_01.log kfmclient openProfile filemanagement

file attached
Comment 1 Lacrocivious Acrophosist 2006-10-13 16:18:59 EDT
Created attachment 138460 [details]
strace log of failed 'kfmclient openProfile filemanagement' launch attempt
Comment 2 Ngo Than 2006-11-13 05:43:09 EST
it's a bug in redhat-menus and has been already fixed in FC6 update.

redhat-menus-6.7.8-1 includes the fix.

Note You need to log in before you can comment on or make changes to this bug.